Subject: Re: Other Socket Tunnels (Was: New draft Possibilities)

From: Joseph Galbraith <[email-masked]>
Date: Wed, 31 Aug 2005 22:24:18 -0600

der Mouse wrote:
>>> The extra name in there breaks the format of SSH_MSG_CHANNEL_OPEN.
>>> Since you don't have any data specific to "direct-socket" apart from
>>> that name, it would be better to just make it part of the channel
>>> type (so "direct-udpip", "direct-unix", "direct-named-pipe").
>> Alternatively, the following format works: [type name at end]
>> (I'm not commenting on which would be better... just that both are
>> legal.)
> 
> In case anyone cares what I think - I'd prefer one channel type with a
> subtype field ("direct-socket" with "udp", "named-pipe", etc).

Well, since no ones volunteering to write a draft
(unless Sara is?), I think this is mostly a
'wouldn't it be nice' conversation :-)

I wish I had time... but I'm not even keeping up
with the drafts I'm on tap for.

Thanks,

Joseph

PS. In case anyone cares what I think-- I'd love to see a draft
for this functionality.